Rock
Last Tango In MoscowAngelic Upstarts
UK 1984 (Picasso PIK 004)Винил. Пластинка; LP; Альбом; Стерео
No Life No Future EPThe Expelled
UK 1982 (Riot City Records Riot 8)Винил. Пластинка; 7"; EP
You're Gonna Miss It AllModern Baseball
US 2022 (Run For Cover Records (2) RFC 096)Винил. Пластинка; LP; Repress
As You PleaseCitiZen
US 2023 (Run For Cover Records (2) RFC162)Винил. Пластинка; LP; Альбом; Лимитированное издание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
Springtime And BlindFiddlehead
US 2022 (Run For Cover Records (2) RFC174)Винил. Пластинка; LP; 45 RPM; Альбом
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)Винил. Пластинка; LP; Альбом; Лимитированное издание
Right Now!Pussy Galore
UK 1998 (Matador OLE 212-1)Винил. Пластинка; Переиздание; LP
Never Say DieBroken Bones
UK 1986 (Fallout Records FALL 12.039)Винил. Пластинка; 12"; EP; 45 RPM
PebbleLemuria
US (Bridge Nine Records B9R141)Винил. Пластинка; LP; Альбом; Repress
Patty We Kind Of Missed You On Your BirthdayStalingrad
UK 1998 (Armed With Anger awa012)Винил. Пластинка; LP; Альбом
Get Your Yo Yo's Out (Eater Live E.P.)Eater
UK 1978 (The Label (2) TLR 007)Винил. Пластинка; 12"; 45 RPM; EP
The Last Thing You ForgetTitle Fight
US 2020 (Run For Cover Records (2) RFC 014)Винил. Пластинка; 7"; 33 ⅓ RPM; Repress
Zen ArcadeHüsker Dü
US 2023 (SST Records SST 027)Винил. Пластинка; LP; Альбом; Repress
Appeal To ReasonRise Against
US 2025 (DGC 602517850231)Винил. Пластинка; LP; Альбом; Repress
Bleed AmericanJimmy Eat World
Europe 2016 (Geffen Records 00602547316400)Винил. Пластинка; LP; Альбом; Переиздание
Group SexCircle Jerks
US 2022 (Trust Records (11) TR001)Винил. Пластинка; LP; Альбом; Deluxe Edition
AgricultureAgriculture
Czech Republic 2023 (Flenser Records FR149)Винил. Пластинка; LP
Summer In AbaddonPinback
US 2004 (Touch And Go TG237)Винил. Пластинка; LP; Альбом
Floral GreenTitle Fight
US 2021 (SideOneDummy Records SD1509-1)Винил. Пластинка; LP; Альбом
Never EnderHot Water Music
Europe 2026 (none)Винил. Пластинка; LP; Сборник; Лимитированное издание
Self/EntitledNOFX
USA & Europe 2012 (Fat Wreck Chords FAT777-1)Винил. Пластинка; 12"; 45 RPM; Альбом
No Need To Be LonelyGladie
US 2026 (Get Better Records GBR-201)Винил. Пластинка; LP; Альбом
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.